

drop table if exists ST_WORKGROUP;

drop table if exists ST_WGUSER;

drop table if exists ST_USERSUBSYS;

drop table if exists ST_USERROLE;

drop table if exists ST_USEREXPFUNC;

drop table if exists ST_URLRES;

drop table if exists ST_UPLOADRES;

drop table if exists ST_UPDTABPAGE;

drop table if exists ST_UPDSVRCHECK;

drop table if exists ST_UPDRES;

drop table if exists ST_UPDLINKOP;

drop table if exists ST_UPDJSEVENT;

drop table if exists ST_UPDJSCSS;

drop table if exists ST_UPDFUNC;

drop table if exists ST_UPDEXPOP;

drop table if exists ST_UPDDT;

drop table if exists ST_UPDCOLINFO;

drop table if exists ST_TBLINFO;

drop table if exists ST_TABRES;

drop table if exists ST_TABPAGE;

drop table if exists ST_TABJSCSS;

drop table if exists ST_TABFUNC;

drop table if exists ST_SYSUSER;

drop table if exists ST_SYSPARAM;

drop table if exists ST_SUMMARYREP;

drop table if exists ST_SUBSYS;

drop table if exists ST_SUBSEQ;

drop table if exists ST_SUBREP;

drop table if exists ST_STRDICGRP;

drop table if exists ST_STRDIC;

drop table if exists ST_SRROW;

drop table if exists ST_SRHDFT;

drop table if exists ST_SRGRIDHDCOL;

drop table if exists ST_SRGRIDHD;

drop table if exists ST_SRCOLUMN;

drop table if exists ST_SRCACHE;

drop table if exists ST_SRBODYCELL;

drop table if exists ST_SQLLOGSET;

drop table if exists ST_SQLLOG;

drop table if exists ST_SIMPLEFLOW;

drop table if exists ST_SFNODE;

drop table if exists ST_SEQUENCE;

drop table if exists ST_ROLEPERMISSION;

drop table if exists ST_ROLE;

drop table if exists ST_RGPARAM;

drop table if exists ST_REPUNITFUNC;

drop table if exists ST_REPTREEEXTNODE;

drop table if exists ST_REPTREE;

drop table if exists ST_REPSUMFIELD;

drop table if exists ST_REPSUM;

drop table if exists ST_REPSCHEDULE;

drop table if exists ST_REPPRT;

drop table if exists ST_REPORT;

drop table if exists ST_REPJSEVENT;

drop table if exists ST_REPJSCSS;

drop table if exists ST_REPHDFT;

drop table if exists ST_REPGRPSUMFIELD;

drop table if exists ST_REPGRPSUM;

drop table if exists ST_REPGRPDT;

drop table if exists ST_REPGRP;

drop table if exists ST_REPGRIDHDFIELD;

drop table if exists ST_REPGRIDHD;

drop table if exists ST_REPFUNC;

drop table if exists ST_REPFIELD;

drop table if exists ST_REPEXPORTTPL;

drop table if exists ST_REPEXP;

drop table if exists ST_REPDT;

drop table if exists ST_REPCNDSVRCHECK;

drop table if exists ST_REPCNDREM;

drop table if exists ST_REPCND;

drop table if exists ST_REPCHECKITEM;

drop table if exists ST_REPCHECK;

drop table if exists ST_REPCHARTAXIS;

drop table if exists ST_REPCHART;

drop table if exists ST_REPCACHE;

drop table if exists ST_REPAPPLY;

drop table if exists ST_REGION;

drop table if exists ST_REFDICRES;

drop table if exists ST_QUICKMOD;

drop table if exists ST_PERMISSION;

drop table if exists ST_MVCURL;

drop table if exists ST_MVCRST;

drop table if exists ST_MVCOPCTRL;

drop table if exists ST_MVCMODEL;

drop table if exists ST_MVCGURL;

drop table if exists ST_MVCEXPOP;

drop table if exists ST_MVCCHECK;

drop table if exists ST_MVCACTION;

drop table if exists ST_MODULE;

drop table if exists ST_MDBOPSUBRES;

drop table if exists ST_MDBOPRES;

drop table if exists ST_MDBOPJSEVENT;

drop table if exists ST_MDBOPJSCSS;

drop table if exists ST_MDBOPFUNC;

drop table if exists ST_MDBOPDT;

drop table if exists ST_LOGONLOG;

drop table if exists ST_INSTABPAGE;

drop table if exists ST_INSSVRCHECK;

drop table if exists ST_INSRES;

drop table if exists ST_INSLINKOP;

drop table if exists ST_INSJSEVENT;

drop table if exists ST_INSJSCSS;

drop table if exists ST_INSFUNC;

drop table if exists ST_INSEXPOP;

drop table if exists ST_INSDT;

drop table if exists ST_INSCOLINFO;

drop table if exists ST_FRAMESET;

drop table if exists ST_FRAME;

drop table if exists ST_FORMTABPAGE;

drop table if exists ST_FORMRES;

drop table if exists ST_FORMJSEVENT;

drop table if exists ST_FORMJSCSS;

drop table if exists ST_FORMFUNC;

drop table if exists ST_FORMELEM;

drop table if exists ST_FORMDT;

drop table if exists ST_ERRLOG;

drop table if exists ST_EJBINFO;

drop table if exists ST_DYNADICSUBRES;

drop table if exists ST_DYNADICRES;

drop table if exists ST_DICGRP;

drop table if exists ST_DIC;

drop table if exists ST_DEPT;

drop table if exists ST_DELSVRCHECK;

drop table if exists ST_DELRES;

drop table if exists ST_DELLINKOP;

drop table if exists ST_DELEXPOP;

drop table if exists ST_DBRES;

drop table if exists ST_DBOPRESMAP;

drop table if exists ST_CRSUMFIELD;

drop table if exists ST_CRSUM;

drop table if exists ST_CROSSREP;

drop table if exists ST_CRGRPSUMFIELD;

drop table if exists ST_CRGRPSUM;

drop table if exists ST_CRGRPDT;

drop table if exists ST_CRGRP;

drop table if exists ST_CRFIELD;

drop table if exists ST_CRCOLSUMHD;

drop table if exists ST_CRCOLGRP;

drop table if exists ST_COLINFO;

drop table if exists ST_CHECKFUNC;

drop table if exists ST_CATEGORY;

/*==============================================================*/
/* Table: ST_CATEGORY                                           */
/*==============================================================*/
create table if not exists ST_CATEGORY
(
   CATID                          decimal(6)                     not null,
   SUPERCAT                       decimal(6)                     not null,
   CATTITLE                       varchar(60)                    not null,
   DISPNO                         decimal(6)                     not null,
   ISTOPMENU                      decimal(4)                     not null,
   CLOSEICON                      varchar(100),
   OPENICON                       varchar(100),
   REMARK                         varchar(100),
   primary key (CATID)
)type=innodb;

/*==============================================================*/
/* Table: ST_CHECKFUNC                                          */
/*==============================================================*/
create table if not exists ST_CHECKFUNC
(
   SUBSYS                         varchar(12)                    not null,
   FUNCNAME                       varchar(30)                    not null,
   FUNCDESC                       varchar(80)                    not null,
   REMARK                         varchar(255),
   primary key (SUBSYS, FUNCNAME)
)type=innodb;

/*==============================================================*/
/* Table: ST_COLINFO                                            */
/*==============================================================*/
create table if not exists ST_COLINFO
(
   SUBSYS                         varchar(12)                    not null,
   TBLNAME                        varchar(40)                    not null,
   COLNAME                        varchar(40)                    not null,
   DISPNO                         decimal(4)                     not null,
   COLDESC                        varchar(100)                   not null,
   JTYPE                          decimal(4)                     not null,
   ISPKEY                         decimal(4)                     not null,
   ISNULLABLE                     decimal(4)                     not null,
   DICKIND                        decimal(4)                     not null,
   DICSUBSYS                      varchar(12),
   DICSUBKIND                     decimal(6),
   DICGRPID                       varchar(40),
   VALDICCOL                      decimal(4),
   POPDICURL                      varchar(500),
   INSVALEXP                      varchar(255),
   DISPFORMAT                     varchar(30),
   TAGTYPE                        decimal(4)                     not null,
   COLSIZE                        decimal(10)                    not null,
   DECDIGITS                      decimal(4),
   MINLEN                         decimal(4),
   MAXVAL                         decimal,
   MINVAL                         decimal,
   CHECKFUNC                      varchar(30),
   DISPLEN                        decimal(4)                     not null,
   ROWSIZE                        decimal(4),
   TAGSTYLE                       varchar(255),
   COLINFO                        varchar(255),
   primary key (SUBSYS, TBLNAME, COLNAME)
)type=innodb;

/*==============================================================*/
/* Table: ST_CRCOLGRP                                           */
/*==============================================================*/
create table if not exists ST_CRCOLGRP
(
   SUBSYS                         varchar(12)                    not null,
   REPID                          decimal(5)                     not null,
   GRPLEVEL                       decimal(4)                     not null,
   GRPCRFIELDS                    varchar(100)                   not null,
   SUMCRFIELDS                    varchar(100),
   REMARK                         varchar(255),
   primary key (SUBSYS, REPID, GRPLEVEL)
)type=innodb;

/*==============================================================*/
/* Table: ST_CRCOLSUMHD                                         */
/*==============================================================*/
create table if not exists ST_CRCOLSUMHD
(
   SUBSYS                         varchar(12)                    not null,
   REPID                          decimal(5)                     not null,
   SUMCRFIELDID                   varchar(40)                    not null,
   COLCRFIELDID                   varchar(40)                    not null,
   HEADEXP                        varchar(100)                   not null,
   ISHMERGE                       decimal(4)                     not null,
   ISVMERGE                       decimal(4)                     not null,
   TDSTYLE                        varchar(255),
   REMARK                         varchar(255),
   primary key (SUBSYS, REPID, SUMCRFIELDID, COLCRFIELDID)
)type=innodb;

/*==============================================================*/
/* Table: ST_CRFIELD                                            */
/*==============================================================*/
create table if not exists ST_CRFIELD
(
   SUBSYS                         varchar(12)                    not null,
   REPID                          decimal(5)                     not null,
   CRFIELDID                      varchar(40)                    not null,
   CRFIELDTYPE                    decimal(4)                     not null,
   CRFIELDNO                      decimal(4)                     not null,
   JTYPE                          decimal(4)                     not null,
   HEADEXP                        varchar(100),
   DATAEXP                        varchar(255)                   not null,
   DISPEXP                        varchar(255),
   DISPFORMAT                     varchar(30),
   ISHDHMERGE                     decimal(4)                     not null,
   ISVMERGE                       decimal(4)                     not null,
   ISHMERGE                       decimal(4)                     not null,
   ISEDIT                         decimal(4)                     not null,
   DISPLEN                        decimal(4),
   ISTAGVALUE                     decimal(4)                     not null,
   SUMDISPPOS                     decimal(4)                     not null,
   ISONEIGNSUM                    decimal(4)                     not null,
   LINKTARGET                     varchar(20),
   LINKURL                        varchar(500),
   PARAMCRFIELDS                  varchar(100),
   QUERYINFO                      varchar(255),
   HEADTDSTYLE                    varchar(255),
   DATATDSTYLE                    varchar(255),
   REMARK                         varchar(255),
   primary key (SUBSYS, REPID, CRFIELDID)
)type=innodb;

/*==============================================================*/
/* Table: ST_CRGRP                                              */
/*==============================================================*/
create table if not exists ST_CRGRP
(
   SUBSYS                         varchar(12)                    not null,
   REPID                          decimal(5)                     not null,
   GRPLEVEL                       decimal(4)                     not null,
   GRPCRFIELDS                    varchar(100)                   not null,
   ISBREAK                        decimal(4)                     not null,
   ISNEWPAGE                      decimal(4)                     not null,
   REMARK                         varchar(255),
   primary key (SUBSYS, REPID, GRPLEVEL)
)type=innodb;

/*==============================================================*/
/* Table: ST_CRGRPDT                                            */
/*==============================================================*/
create table if not exists ST_CRGRPDT
(
   SUBSYS                         varchar(12)                    not null,
   REPID                          decimal(5)                     not null,
   GRPLEVEL                       decimal(4)                     not null,
   DTTYPE                         decimal(4)                     not null,
   DTCONT                         text,
   REMARK                         varchar(255),
   primary key (SUBSYS, REPID, GRPLEVEL, DTTYPE)
)type=innodb;

/*==============================================================*/
/* Table: ST_CRGRPSUM                                           */
/*==============================================================*/
create table if not exists ST_CRGRPSUM
(
   SUBSYS                         varchar(12)                    not null,
   REPID                          decimal(5)                     not null,
   GRPLEVEL                       decimal(4)                     not null,
   SUMID                          varchar(20)                    not null,
   DISPNO                         decimal(4)                     not null,
   DISPPOS                        decimal(4)                     not null,
   ISONEIGN                       decimal(4)                     not null,
   TRSTYLE                        varchar(255),
   SUMDESC                        varchar(255),
   REMARK                         varchar(255),
   primary key (SUBSYS, REPID, GRPLEVEL, SUMID)
)type=innodb;

/*==============================================================*/
/* Table: ST_CRGRPSUMFIELD                                      */
/*==============================================================*/
create table if not exists ST_CRGRPSUMFIELD
(
   SUBSYS                         varchar(12)                    not null,
   REPID                          decimal(5)                     not null,
   GRPLEVEL                       decimal(4)                     not null,
   SUMID                          varchar(20)                    not null,
   CRFIELDID                      varchar(40)                    not null,
   SUMEXP                         varchar(255)                   not null,
   DISPFORMAT                     varchar(30),
   ISMERGEBLK                     decimal(4)                     not null,
   TDSTYLE                        varchar(255),
   REMARK                         varchar(255),
   primary key (SUBSYS, REPID, GRPLEVEL, SUMID, CRFIELDID)
)type=innodb;

/*==============================================================*/
/* Table: ST_CROSSREP                                           */
/*==============================================================*/
create table if not exists ST_CROSSREP
(
   SUBSYS                         varchar(12)                    not null,
   REPID                          decimal(5)                     not null,
   ISSORTED                       decimal(4)                     not null,
   ISSHOWCOLHD                    decimal(4)                     not null,
   ROWHDEXP                       varchar(255),
   SORTCRFIELDS                   varchar(255),
   TBLSTYLE                       varchar(255),
   COLHDTRSTYLE                   varchar(255),
   HDTRSTYLE                      varchar(255),
   DATATRSTYLE                    varchar(255),
   REMARK                         varchar(255),
   primary key (SUBSYS, REPID)
)type=innodb;

/*==============================================================*/
/* Table: ST_CRSUM                                              */
/*==============================================================*/
create table if not exists ST_CRSUM
(
   SUBSYS                         varchar(12)                    not null,
   REPID                          decimal(5)                     not null,
   SUMID                          varchar(20)                    not null,
   DISPNO                         decimal(4)                     not null,
   DISPPOS                        decimal(4)                     not null,
   ISONEIGN                       decimal(4)                     not null,
   TRSTYLE                        varchar(255),
   SUMDESC                        varchar(255),
   REMARK                         varchar(255),
   primary key (SUBSYS, REPID, SUMID)
)type=innodb;

/*==============================================================*/
/* Table: ST_CRSUMFIELD                                         */
/*==============================================================*/
create table if not exists ST_CRSUMFIELD
(
   SUBSYS                         varchar(12)                    not null,
   REPID                          decimal(5)                     not null,
   SUMID                          varchar(20)                    not null,
   CRFIELDID                      varchar(40)                    not null,
   SUMEXP                         varchar(255)                   not null,
   DISPFORMAT                     varchar(30),
   ISMERGEBLK                     decimal(4)                     not null,
   TDSTYLE                        varchar(255),
   REMARK                         varchar(255),
   primary key (SUBSYS, REPID, SUMID, CRFIELDID)
)type=innodb;

/*==============================================================*/
/* Table: ST_DBOPRESMAP                                         */
/*==============================================================*/
create table if not exists ST_DBOPRESMAP
(
   SUBSYS                         varchar(12)                    not null,
   REPID                          decimal(5)                     not null,
   DBOPTYPE                       decimal(4)                     not null,
   RESID                          varchar(20)                    not null,
   REMARK                         varchar(255),
   primary key (SUBSYS, REPID, DBOPTYPE)
)type=innodb;

/*==============================================================*/
/* Table: ST_DBRES                                              */
/*==============================================================*/
create table if not exists ST_DBRES
(
   DBRESID                        varchar(12)                    not null,
   DBRESDESC                      varchar(40)                    not null,
   DBTYPE                         decimal(4)                     not null,
   READENC                        varchar(40),
   WRITEENC                       varchar(40),
   CONNTYPE                       decimal(4)                     not null,
   FACTORY                        varchar(100),
   PROVIDER                       varchar(100),
   URLPKGS                        varchar(100),
   JNDIOPTIONS                    varchar(255),
   DSJNDI                         varchar(50),
   DRIVER                         varchar(50),
   DBURL                          varchar(100),
   DBUSER                         varchar(20),
   PASSWD                         varchar(100),
   CONNLISTENER                   varchar(100),
   REMARK                         varchar(255),
   primary key (DBRESID)
)type=innodb;

/*==============================================================*/
/* Table: ST_DELEXPOP                                           */
/*==============================================================*/
create table if not exists ST_DELEXPOP
(
   SUBSYS                         varchar(12)                    not null,
   DELETEID                       varchar(20)                    not null,
   EXECNO                         decimal(4)                     not null,
   EXECPOS                        decimal(4)                     not null,
   EXECCND                        varchar(255),
   EXPCONT                        varchar(255)                   not null,
   REMARK                         varchar(255),
   primary key (SUBSYS, DELETEID, EXECNO)
)type=innodb;

/*==============================================================*/
/* Table: ST_DELLINKOP                                          */
/*==============================================================*/
create table if not exists ST_DELLINKOP
(
   SUBSYS                         varchar(12)                    not null,
   DELETEID                       varchar(20)                    not null,
   EXECNO                         decimal(4)                     not null,
   EXECPOS                        decimal(4)                     not null,
   EXECCND                        varchar(500),
   TARGETSUBSYS                   varchar(12),
   SCRIPTTYPE                     decimal(4)                     not null,
   SCRIPTCONT                     varchar(2000)                  not null,
   PARAMEXPS                      varchar(1000),
   REMARK                         varchar(255),
   primary key (SUBSYS, DELETEID, EXECNO)
)type=innodb;

/*==============================================================*/
/* Table: ST_DELRES                                             */
/*==============================================================*/
create table if not exists ST_DELRES
(
   SUBSYS                         varchar(12)                    not null,
   DELETEID                       varchar(20)                    not null,
   DELTYPE                        decimal(4)                     not null,
   RESDESC                        varchar(100)                   not null,
   RESOBJ                         varchar(100)                   not null,
   ISACTRL                        decimal(4)                     not null,
   PERMISSIONID                   decimal(6),
   ISCHKRST                       decimal(4)                     not null,
   NEXTURL                        varchar(500),
   APPENDCND                      varchar(255),
   DELHANDLER                     varchar(100),
   BUSICLASSTYPE                  decimal(4),
   BUSICLASS                      varchar(100),
   BUSIMETHOD                     varchar(255),
   BUSIPARAMS                     varchar(255),
   REMARK                         varchar(255),
   primary key (SUBSYS, DELETEID)
)type=innodb;

/*==============================================================*/
/* Table: ST_DELSVRCHECK                                        */
/*==============================================================*/
create table if not exists ST_DELSVRCHECK
(
   SUBSYS                         varchar(12)                    not null,
   DELETEID                       varchar(20)                    not null,
   CHECKNO                        decimal(4)                     not null,
   CHECKEXP                       varchar(255)                   not null,
   ERRINFO                        varchar(255)                   not null,
   REMARK                         varchar(255),
   primary key (SUBSYS, DELETEID, CHECKNO)
)type=innodb;

/*==============================================================*/
/* Table: ST_DEPT                                               */
/*==============================================================*/
create table if not exists ST_DEPT
(
   RGID                           varchar(30)                    not null,
   DEPTID                         varchar(30)                    not null,
   DEPTNAME                       varchar(40)                    not null,
   DEPTLEVEL                      decimal(4)                     not null,
   REMARK                         varchar(255),
   primary key (DEPTID)
)type=innodb;

/*==============================================================*/
/* Table: ST_DIC                                                */
/*==============================================================*/
create table if not exists ST_DIC
(
   SUBSYS                         varchar(12)                    not null,
   DICGRPID                       decimal(4)                     not null,
   DICID                          decimal(4)                     not null,
   DICDESC                        varchar(100)                   not null,
   REMARK                         varchar(100),
   primary key (SUBSYS, DICGRPID, DICID)
)type=innodb;

/*==============================================================*/
/* Table: ST_DICGRP                                             */
/*==============================================================*/
create table if not exists ST_DICGRP
(
   SUBSYS                         varchar(12)                    not null,
   DICGRPID                       decimal(4)                     not null,
   ISSYSDIC                       decimal(4)                     not null,
   DDDESCTYPE                     decimal(4)                     not null,
   GRPDESC                        varchar(100),
   REMARK                         varchar(100),
   primary key (SUBSYS, DICGRPID)
)type=innodb;

/*==============================================================*/
/* Table: ST_DYNADICRES                                         */
/*==============================================================*/
create table if not exists ST_DYNADICRES
(
   SUBSYS                         varchar(12)                    not null,
   DICSUBKIND                     decimal(6)                     not null,
   SUBKINDDESC                    varchar(40)                    not null,
   REMARK                         varchar(255),
   primary key (SUBSYS, DICSUBKIND)
)type=innodb;

/*==============================================================*/
/* Table: ST_DYNADICSUBRES                                      */
/*==============================================================*/
create table if not exists ST_DYNADICSUBRES
(
   SUBSYS                         varchar(12)                    not null,
   DICSUBKIND                     decimal(6)                     not null,
   SUBDICNO                       decimal(4)                     not null,
   SUBDICDESC                     varchar(40)                    not null,
   DRSUBSYS                       varchar(12),
   DRREPID                        decimal(6)                     not null,
   REMARK                         varchar(100),
   primary key (SUBSYS, DICSUBKIND, SUBDICNO)
)type=innodb;

/*==============================================================*/
/* Table: ST_EJBINFO                                            */
/*==============================================================*/
create table if not exists ST_EJBINFO
(
   SUBSYS                         varchar(12)                    not null,
   REMOTE                         varchar(100)                   not null,
   HOME                           varchar(100)                   not null,
   BEAN                           varchar(100)                   not null,
   EJBJNDI                        varchar(100)                   not null,
   FACTORY                        varchar(100),
   PROVIDER                       varchar(100),
   URLPKGS                        varchar(100),
   JNDIOPTIONS                    varchar(255),
   REMARK                         varchar(255),
   primary key (REMOTE)
)type=innodb;

/*==============================================================*/
/* Table: ST_ERRLOG                                             */
/*==============================================================*/
create table if not exists ST_ERRLOG
(
   LOGID                          decimal(14)                    not null,
   USERID                         varchar(20),
   ERRTIME                        datetime,
   ERRTYPE                        varchar(100),
   ERRINFO                        varchar(255),
   DETAIL                         text,
   primary key (LOGID)
)type=innodb;

/*==============================================================*/
/* Table: ST_FORMDT                                             */
/*==============================================================*/
create table if not exists ST_FORMDT
(
   SUBSYS                         varchar(12)                    not null,
   FORMID                         decimal(5)                     not null,
   DTTYPE                         decimal(4)                     not null,
   DTCONT                         text,
   REMARK                         varchar(255),
   primary key (SUBSYS, FORMID, DTTYPE)
)type=innodb;

/*==============================================================*/
/* Table: ST_FORMELEM                                           */
/*==============================================================*/
create table if not exists ST_FORMELEM
(
   SUBSYS                         varchar(12)                    not null,
   FORMID                         decimal(5)                     not null,
   ELEMTAGNAME                    varchar(40)                    not null,
   DISPNO                         decimal(4)                     not null,
   ELEMDESC                       varchar(40)                    not null,
   ELEMTAGID                      varchar(40),
   JTYPE                          decimal(4)                     not null,
   ISNULLABLE                     decimal(4)                     not null,
   DICKIND                        decimal(4)                     not null,
   DICSUBSYS                      varchar(12),
   DICSUBKIND                     decimal(6),
   DICGRPID                       varchar(30),
   VALDICCOL                      decimal(4),
   DISPFORMAT                     varchar(30),
   TAGTYPE                        decimal(4)                     not null,
   ISDISPONLY                     decimal(4)                     not null,
   DISPLEN                        decimal(4)                     not null,
   ROWSIZE                        decimal(4),
   MAXLEN                         decimal(6),
   MINLEN                         decimal(6),
   MAXVAL                         decimal,
   MINVAL                         decimal,
   CHECKFUNC                      varchar(30),
   POPDICURL                      varchar(500),
   TAGSTYLE                       varchar(255),
   INITVALEXPS                    varchar(255),
   JSEVENT                        varchar(255),
   ELEMINFO                       varchar(255),
   primary key (SUBSYS, FORMID, ELEMTAGNAME)
)type=innodb;

/*==============================================================*/
/* Table: ST_FORMFUNC                                           */
/*==============================================================*/
create table if not exists ST_FORMFUNC
(
   SUBSYS                         varchar(12)                    not null,
   FORMID                         decimal(5)                     not null,
   FUNCID                         varchar(30)                    not null,
   DISPNAME                       varchar(30)                    not null,
   DISPNO                         decimal(4)                     not null,
   DISPPOS                        decimal(4)                     not null,
   FUNCTYPE                       decimal(4)                     not null,
   FUNCURL                        varchar(500),
   TARGET                         varchar(30),
   LINKPID                        decimal(6),
   DISPCND                        varchar(255),
   QUERYINFO                      varchar(255),
   REMARK                         varchar(255),
   primary key (SUBSYS, FORMID, FUNCID)
)type=innodb;

/*==============================================================*/
/* Table: ST_FORMJSCSS                                          */
/*==============================================================*/
create table if not exists ST_FORMJSCSS
(
   SUBSYS                         varchar(12)                    not null,
   FORMID                         decimal(5)                     not null,
   JSCSSNO                        decimal(2)                     not null,
   JSCSS                          varchar(2000)                  not null,
   REMARK                         varchar(255),
   primary key (SUBSYS, FORMID, JSCSSNO)
)type=innodb;

/*==============================================================*/
/* Table: ST_FORMJSEVENT                                        */
/*==============================================================*/
create table if not exists ST_FORMJSEVENT
(
   SUBSYS                         varchar(12)                    not null,
   FORMID                         decimal(5)                     not null,
   EVENTTYPE                      decimal(4)                     not null,
   JSFUNC                         varchar(100)                   not null,
   REMARK                         varchar(255),
   primary key (SUBSYS, FORMID, EVENTTYPE)
)type=innodb;

/*==============================================================*/
/* Table: ST_FORMRES                                            */
/*==============================================================*/
create table if not exists ST_FORMRES
(
   SUBSYS                         varchar(12)                    not null,
   FORMID                         decimal(5)                     not null,
   FORMTAGNAME                    varchar(30)                    not null,
   FORMDESC                       varchar(50)                    not null,
   ISACTRL                        decimal(4)                     not null,
   PERMISSIONID                   decimal(6),
   ISSYSFMENU                     decimal(4)                     not null,
   FORMTAGID                      varchar(30),
   FORMMETHOD                     decimal(4)                     not null,
   FORMTYPE                       decimal(4)                     not null,
   FORMACTION                     varchar(255)                   not null,
   FORMTARGET                     varchar(30),
   ISBATCH                        decimal(4)                     not null,
   PUBELEMS                       varchar(255),
   ARRAYFMT                       varchar(2000),
   DISPSTYLE                      varchar(255),
   REMARK                         varchar(255),
   primary key (SUBSYS, FORMID)
)type=innodb;

/*==============================================================*/
/* Table: ST_FORMTABPAGE                                        */
/*==============================================================*/
create table if not exists ST_FORMTABPAGE
(
   SUBSYS                         varchar(12)                    not null,
   FORMID                         decimal(5)                     not null,
   PAGENO                         decimal(2)                     not null,
   PAGETITLE                      varchar(40)                    not null,
   ARRAYFMT                       varchar(500),
   PAGEDT                         text,
   REMARK                         varchar(255),
   primary key (SUBSYS, FORMID, PAGENO)
)type=innodb;

/*==============================================================*/
/* Table: ST_FRAME                                              */
/*==============================================================*/
create table if not exists ST_FRAME
(
   SUBSYS                         varchar(12)                    not null,
   FRAMESETID                     decimal(5)                     not null,
   FRAMEID                        varchar(20)                    not null,
   DISPNO                         decimal(5)                     not null,
   FRAMEDESC                      varchar(50)                    not null,
   TAGID                          varchar(20),
   TAGNAME                        varchar(20)                    not null,
   FRAMEURL                       varchar(255),
   ISBORDER                       decimal(5),
   ISRESIZE                       decimal(5)                     not null,
   ISREDUCE                       decimal(5)                     not null,
   MINSIZE                        decimal(3),
   SCROLLTYPE                     decimal(5)                     not null,
   REMARK                         varchar(255),
   primary key (SUBSYS, FRAMESETID, FRAMEID)
)type=innodb;

/*==============================================================*/
/* Table: ST_FRAMESET                                           */
/*==============================================================*/
create table if not exists ST_FRAMESET
(
   SUBSYS                         varchar(12)                    not null,
   FRAMESETID                     decimal(5)                     not null,
   FRAMESETDESC                   varchar(50)                    not null,
   TAGID                          varchar(20),
   DISPTYPE                       decimal(5)                     not null,
   ROWSCOLS                       varchar(40)                    not null,
   REMARK                         varchar(255),
   primary key (SUBSYS, FRAMESETID)
)type=innodb;

/*==============================================================*/
/* Table: ST_INSCOLINFO                                         */
/*==============================================================*/
create table if not exists ST_INSCOLINFO
(
   SUBSYS                         varchar(12)                    not null,
   INSERTID                       varchar(20)                    not null,
   COLNAME                        varchar(40)                    not null,
   COLDESC                        varchar(40),
   ISNULLABLE                     decimal(4),
   TAGTYPE                        decimal(4),
   DISPFORMAT                     varchar(100),
   DISPLEN                        decimal(8),
   ROWSIZE                        decimal(4),
   CHECKFUNC                      varchar(30),
   POPDICURL                      varchar(500),
   TAGSTYLE                       varchar(255),
   INITEXP                        varchar(500),
   SAVEEXP                        varchar(500),
   JSEVENT                        varchar(255),
   primary key (SUBSYS, INSERTID, COLNAME)
)type=innodb;

/*==============================================================*/
/* Table: ST_INSDT                                              */
/*==============================================================*/
create table if not exists ST_INSDT
(
   SUBSYS                         varchar(12)                    not null,
   INSERTID                       varchar(20)                    not null,
   DTTYPE                         decimal(4)                     not null,
   DTCONT                         text,
   REMARK                         varchar(255),
   primary key (SUBSYS, INSERTID, DTTYPE)
)type=innodb;

/*==============================================================*/
/* Table: ST_INSEXPOP                                           */
/*==============================================================*/
create table if not exists ST_INSEXPOP
(
   SUBSYS                         varchar(12)                    not null,
   INSERTID                       varchar(20)                    not null,
   EXECNO                         decimal(4)                     not null,
   EXECPOS                        decimal(4)                     not null,
   EXECCND                        varchar(255),
   EXPCONT                        varchar(255)                   not null,
   REMARK                         varchar(255),
   primary key (SUBSYS, INSERTID, EXECNO)
)type=innodb;

/*==============================================================*/
/* Table: ST_INSFUNC                                            */
/*==============================================================*/
create table if not exists ST_INSFUNC
(
   SUBSYS                         varchar(12)                    not null,
   INSERTID                       varchar(20)                    not null,
   FUNCID                         varchar(20)                    not null,
   DISPNAME                       varchar(100)                   not null,
   DISPNO                         decimal(2),
   DISPPOS                        decimal(4)                     not null,
   FUNCTYPE                       decimal(4)                     not null,
   FUNCURL                        varchar(500),
   URLCOLS                        varchar(255),
   TARGET                         varchar(30),
   LINKPID                        decimal(6),
   DISPCND                        varchar(255),
   QUERYINFO                      varchar(255),
   FUNCINFO                       varchar(100),
   REMARK                         varchar(255),
   primary key (SUBSYS, INSERTID, FUNCID)
)type=innodb;

/*==============================================================*/
/* Table: ST_INSJSCSS                                           */
/*==============================================================*/
create table if not exists ST_INSJSCSS
(
   SUBSYS                         varchar(12)                    not null,
   INSERTID                       varchar(20)                    not null,
   JSCSSNO                        decimal(4)                     not null,
   JSCSS                          varchar(2000)                  not null,
   REMARK                         varchar(255),
   primary key (SUBSYS, INSERTID, JSCSSNO)
)type=innodb;

/*==============================================================*/
/* Table: ST_INSJSEVENT                                         */
/*==============================================================*/
create table if not exists ST_INSJSEVENT
(
   SUBSYS                         varchar(12)                    not null,
   INSERTID                       varchar(20)                    not null,
   EVENTTYPE                      decimal(4)                     not null,
   JSFUNC                         varchar(100)                   not null,
   REMARK                         varchar(255),
   primary key (SUBSYS, INSERTID, EVENTTYPE)
)type=innodb;

/*==============================================================*/
/* Table: ST_INSLINKOP                                          */
/*==============================================================*/
create table if not exists ST_INSLINKOP
(
   SUBSYS                         varchar(12)                    not null,
   INSERTID                       varchar(20)                    not null,
   EXECNO                         decimal(4)                     not null,
   EXECPOS                        decimal(4)                     not null,
   EXECCND                        varchar(500),
   TARGETSUBSYS                   varchar(12),
   SCRIPTTYPE                     decimal(4)                     not null,
   SCRIPTCONT                     varchar(2000)                  not null,
   PARAMEXPS                      varchar(1000),
   REMARK                         varchar(255),
   primary key (SUBSYS, INSERTID, EXECNO)
)type=innodb;

/*==============================================================*/
/* Table: ST_INSRES                                             */
/*==============================================================*/
create table if not exists ST_INSRES
(
   SUBSYS                         varchar(12)                    not null,
   INSERTID                       varchar(20)                    not null,
   INSTYPE                        decimal(4)                     not null,
   RESDESC                        varchar(100)                   not null,
   RESOBJ                         varchar(100)                   not null,
   ISACTRL                        decimal(4)                     not null,
   PERMISSIONID                   decimal(6),
   ISSYSFMENU                     decimal(4)                     not null,
   FORMACTION                     varchar(255),
   NEXTURL                        varchar(500),
   BFILTERCND                     varchar(255),
   INSCOLS                        varchar(2000),
   NOINSCOLS                      varchar(255),
   DISPCOLS                       varchar(255),
   PUBCOLS                        varchar(255),
   ARRAYFMT                       varchar(2000),
   TAGPROVIDER                    varchar(100),
   INSHANDLER                     varchar(100),
   BUSICLASSTYPE                  decimal(4),
   BUSICLASS                      varchar(100),
   BUSIMETHOD                     varchar(50),
   REMARK                         varchar(255),
   primary key (SUBSYS, INSERTID)
)type=innodb;

/*==============================================================*/
/* Table: ST_INSSVRCHECK                                        */
/*==============================================================*/
create table if not exists ST_INSSVRCHECK
(
   SUBSYS                         varchar(12)                    not null,
   INSERTID                       varchar(20)                    not null,
   CHECKNO                        decimal(4)                     not null,
   CHECKEXP                       varchar(255)                   not null,
   ERRINFO                        varchar(255)                   not null,
   REMARK                         varchar(255),
   primary key (SUBSYS, INSERTID, CHECKNO)
)type=innodb;

/*==============================================================*/
/* Table: ST_INSTABPAGE                                         */
/*==============================================================*/
create table if not exists ST_INSTABPAGE
(
   SUBSYS                         varchar(12)                    not null,
   INSERTID                       varchar(20)                    not null,
   PAGENO                         decimal(4)                     not null,
   PAGETITLE                      varchar(40)                    not null,
   ARRAYFMT                       varchar(500),
   PAGEDT                         text,
   REMARK                         varchar(255),
   primary key (SUBSYS, INSERTID, PAGENO)
)type=innodb;

/*==============================================================*/
/* Table: ST_LOGONLOG                                           */
/*==============================================================*/
create table if not exists ST_LOGONLOG
(
   USERID                         varchar(20)                    not null,
   LOGONTIME                      datetime                       not null,
   LOGOUTTIME                     datetime,
   SESSIONID                      varchar(100)                   not null,
   ISONLINE                       decimal(4)                     not null,
   IPDRESS                        varchar(20),
   HOSTNAME                       varchar(20),
   primary key (USERID, LOGONTIME)
)type=innodb;

/*==============================================================*/
/* Table: ST_MDBOPDT                                            */
/*==============================================================*/
create table if not exists ST_MDBOPDT
(
   SUBSYS                         varchar(12)                    not null,
   MDBOPID                        varchar(20)                    not null,
   DTTYPE                         decimal(4)                     not null,
   DTCONT                         text,
   REMARK                         varchar(255),
   primary key (SUBSYS, MDBOPID, DTTYPE)
)type=innodb;

/*==============================================================*/
/* Table: ST_MDBOPFUNC                                          */
/*==============================================================*/
create table if not exists ST_MDBOPFUNC
(
   SUBSYS                         varchar(12)                    not null,
   MDBOPID                        varchar(20)                    not null,
   FUNCID                         varchar(20)                    not null,
   DISPNAME                       varchar(100)                   not null,
   DISPNO                         decimal(2),
   DISPPOS                        decimal(4)                     not null,
   FUNCTYPE                       decimal(4)                     not null,
   FUNCURL                        varchar(500),
   URLPARAMS                      varchar(255),
   TARGET                         varchar(30),
   LINKPID                        decimal(6),
   DISPCND                        varchar(255),
   QUERYINFO                      varchar(255),
   FUNCINFO                       varchar(100),
   REMARK                         varchar(255),
   primary key (SUBSYS, MDBOPID, FUNCID)
)type=innodb;

/*==============================================================*/
/* Table: ST_MDBOPJSCSS                                         */
/*==============================================================*/
create table if not exists ST_MDBOPJSCSS
(
   SUBSYS                         varchar(12)                    not null,
   MDBOPID                        varchar(20)                    not null,
   JSCSSNO                        decimal(4)                     not null,
   JSCSS                          varchar(2000)                  not null,
   REMARK                         varchar(255),
   primary key (SUBSYS, MDBOPID, JSCSSNO)
)type=innodb;

/*==============================================================*/
/* Table: ST_MDBOPJSEVENT                                       */
/*==============================================================*/
create table if not exists ST_MDBOPJSEVENT
(
   SUBSYS                         varchar(12)                    not null,
   MDBOPID                        varchar(20)                    not null,
   EVENTTYPE                      decimal(4)                     not null,
   JSFUNC                         varchar(100)                   not null,
   REMARK                         varchar(255),
   primary key (SUBSYS, MDBOPID, EVENTTYPE)
)type=innodb;

/*==============================================================*/
/* Table: ST_MDBOPRES                                           */
/*==============================================================*/
create table if not exists ST_MDBOPRES
(
   SUBSYS                         varchar(12)                    not null,
   MDBOPID                        varchar(20)                    not null,
   RESDESC                        varchar(50)                    not null,
   ISACTRL                        decimal(4)                     not null,
   PERMISSIONID                   decimal(6),
   ISSYSFMENU                     decimal(4)                     not null,
   FORMACTION                     varchar(255),
   NEXTURL                        varchar(500),
   ARRAYFMT                       varchar(255),
   BUSICLASSTYPE                  decimal(4),
   BUSICLASS                      varchar(255),
   BUSIMETHOD                     varchar(255),
   REMARK                         varchar(255),
   primary key (SUBSYS, MDBOPID)
)type=innodb;

/*==============================================================*/
/* Table: ST_MDBOPSUBRES                                        */
/*==============================================================*/
create table if not exists ST_MDBOPSUBRES
(
   SUBSYS                         varchar(12)                    not null,
   MDBOPID                        varchar(20)                    not null,
   SUBRESID                       varchar(20)                    not null,
   SUBRESDESC                     varchar(40)                    not null,
   EXECNO                         decimal(4)                     not null,
   DBOPTYPE                       decimal(4)                     not null,
   DBOPSUBSYS                     varchar(12)                    not null,
   DBOPRESID                      varchar(20)                    not null,
   COLVALEXPS                     varchar(255),
   PARAMEXPS                      varchar(255),
   IGNJSCSS                       decimal(4)                     not null,
   REMARK                         varchar(255),
   primary key (SUBSYS, MDBOPID, SUBRESID)
)type=innodb;

/*==============================================================*/
/* Table: ST_MODULE                                             */
/*==============================================================*/
create table if not exists ST_MODULE
(
   SUBSYS                         varchar(12)                    not null,
   MODID                          decimal(6)                     not null,
   CATID                          decimal(6)                     not null,
   MODTITLE                       varchar(40)                    not null,
   DISPNO                         decimal(4),
   LINKPID                        decimal(6),
   MODURL                         varchar(200)                   not null,
   TARGET                         varchar(20),
   ISOUTACCESS                    decimal(4)                     not null,
   ISHIDE                         decimal(4)                     not null,
   MODICON                        varchar(100),
   REMARK                         varchar(100),
   primary key (SUBSYS, MODID)
)type=innodb;

/*==============================================================*/
/* Table: ST_MVCACTION                                          */
/*==============================================================*/
create table if not exists ST_MVCACTION
(
   SUBSYS                         varchar(12)                    not null,
   ACTID                          varchar(40)                    not null,
   ACTDESC                        varchar(100)                   not null,
   ISCACHE                        decimal(4)                     not null,
   ACTCLASS                       varchar(200),
   ISACTRL                        decimal(4)                     not null,
   PERMISSIONID                   decimal(4),
   ISAUTOBACK                     decimal(4)                     not null,
   URLPATHID                      varchar(40),
   ISREDIRECT                     decimal(4),
   URLPATH                        varchar(500),
   URLDESC                        varchar(100),
   REMARK                         varchar(255),
   primary key (SUBSYS, ACTID)
)type=innodb;

/*==============================================================*/
/* Table: ST_MVCCHECK                                           */
/*==============================================================*/
create table if not exists ST_MVCCHECK
(
   SUBSYS                         varchar(12)                    not null,
   ACTID                          varchar(40)                    not null,
   CTRLID                         varchar(20)                    not null,
   EXECNO                         decimal(4)                     not null,
   EXECPOS                        decimal(4)                     not null,
   CHECKEXP                       varchar(255)                   not null,
   ERRINFO                        varchar(255)                   not null,
   REMARK                         varchar(255),
   primary key (SUBSYS, ACTID, CTRLID, EXECNO)
)type=innodb;

/*==============================================================*/
/* Table: ST_MVCEXPOP                                           */
/*==============================================================*/
create table if not exists ST_MVCEXPOP
(
   SUBSYS                         varchar(12)                    not null,
   ACTID                          varchar(40)                    not null,
   CTRLID                         varchar(20)                    not null,
   EXECNO                         decimal(4)                     not null,
   EXECCND                        varchar(255),
   EXPCONT                        varchar(500)                   not null,
   REMARK                         varchar(255),
   primary key (SUBSYS, ACTID, CTRLID, EXECNO)
)type=innodb;

/*==============================================================*/
/* Table: ST_MVCGURL                                            */
/*==============================================================*/
create table if not exists ST_MVCGURL
(
   SUBSYS                         varchar(12)                    not null,
   URLPATHID                      varchar(40)                    not null,
   ISREDIRECT                     decimal(4)                     not null,
   URLPATH                        varchar(255)                   not null,
   URLDESC                        varchar(100),
   REMARK                         varchar(255),
   primary key (SUBSYS, URLPATHID)
)type=innodb;

/*==============================================================*/
/* Table: ST_MVCMODEL                                           */
/*==============================================================*/
create table if not exists ST_MVCMODEL
(
   SUBSYS                         varchar(12)                    not null,
   ACTID                          varchar(40)                    not null,
   CTRLID                         varchar(20)                    not null,
   EXECNO                         decimal(4)                     not null,
   EXECCND                        varchar(500),
   TARGETSUBSYS                   varchar(12),
   SCRIPTTYPE                     decimal(4)                     not null,
   SCRIPTCONT                     varchar(2000)                  not null,
   PARAMEXPS                      varchar(1000),
   RSTATTR                        varchar(40),
   REMARK                         varchar(255),
   primary key (SUBSYS, ACTID, CTRLID, EXECNO)
)type=innodb;

/*==============================================================*/
/* Table: ST_MVCOPCTRL                                          */
/*==============================================================*/
create table if not exists ST_MVCOPCTRL
(
   SUBSYS                         varchar(12)                    not null,
   ACTID                          varchar(40)                    not null,
   CTRLID                         varchar(20)                    not null,
   CTRLNO                         decimal(4)                     not null,
   CTRLDESC                       varchar(255),
   REMARK                         varchar(255),
   primary key (SUBSYS, ACTID, CTRLID)
)type=innodb;

/*==============================================================*/
/* Table: ST_MVCRST                                             */
/*==============================================================*/
create table if not exists ST_MVCRST
(
   SUBSYS                         varchar(12)                    not null,
   ACTID                          varchar(40)                    not null,
   CTRLID                         varchar(20)                    not null,
   EXECNO                         decimal(4)                     not null,
   RETURNCND                      varchar(255),
   URLPATHID                      varchar(20),
   RETURNMSG                      varchar(255),
   REMARK                         varchar(255),
   primary key (SUBSYS, ACTID, CTRLID, EXECNO)
)type=innodb;

/*==============================================================*/
/* Table: ST_MVCURL                                             */
/*==============================================================*/
create table if not exists ST_MVCURL
(
   SUBSYS                         varchar(12)                    not null,
   ACTID                          varchar(40)                    not null,
   URLPATHID                      varchar(40)                    not null,
   ISREDIRECT                     decimal(4)                     not null,
   URLPATH                        varchar(255)                   not null,
   URLDESC                        varchar(100),
   REMARK                         varchar(255),
   primary key (SUBSYS, ACTID, URLPATHID)
)type=innodb;

/*==============================================================*/
/* Table: ST_PERMISSION                                         */
/*==============================================================*/
create table if not exists ST_PERMISSION
(
   SUBSYS                         varchar(12)                    not null,
   PERMISSIONID                   decimal(6)                     not null,
   PERMISSIONDESC                 varchar(100)                   not null,
   PERMISSIONTYPE                 decimal(4)                     not null,
   REMARK                         varchar(255),
   primary key (SUBSYS, PERMISSIONID)
)type=innodb;

/*==============================================================*/
/* Table: ST_QUICKMOD                                           */
/*==============================================================*/
create table if not exists ST_QUICKMOD
(
   USERID                         varchar(20)                    not null,
   SUBSYS                         varchar(12)                    not null,
   MODID                          decimal(6)                     not null,
   DISPNO                         decimal(4),
   primary key (USERID, SUBSYS, MODID)
)type=innodb;

/*==============================================================*/
/* Table: ST_REFDICRES                                          */
/*==============================================================*/
create table if not exists ST_REFDICRES
(
   SUBSYS                         varchar(12)                    not null,
   DICSUBKIND                     decimal(4)                     not null,
   SUBKINDDESC                    varchar(40)                    not null,
   ISBIGTBL                       decimal(4)                     not null,
   TBLNAME                        varchar(40)                    not null,
   DICGRPCOL                      varchar(40),
   DICGRPCOLTYPE                  decimal(4)                     not null,
   DICIDCOL                       varchar(40)                    not null,
   DICIDCOLTYPE                   decimal(4)                     not null,
   DICDESCCOL                     varchar(40)                    not null,
   BINDCOLS                       varchar(100),
   DISPAPPENDCND                  varchar(255),
   SELAPPENDCND                   varchar(255),
   DISPTYPE                       decimal(4)                     not null,
   DDDESCTYPE                     decimal(4)                     not null,
   POPDICURL                      varchar(500),
   REMARK                         varchar(255),
   primary key (SUBSYS, DICSUBKIND)
)type=innodb;

/*==============================================================*/
/* Table: ST_REGION                                             */
/*==============================================================*/
create table if not exists ST_REGION
(
   RGID                           varchar(30)                    not null,
   RGNAME                         varchar(40)                    not null,
   RGLEVEL                        decimal(4)                     not null,
   REMARK                         varchar(255),
   primary key (RGID)
)type=innodb;

/*==============================================================*/
/* Table: ST_REPAPPLY                                           */
/*==============================================================*/
create table if not exists ST_REPAPPLY
(
   SUBSYS                         varchar(12)                    not null,
   REPID                          decimal(5)                     not null,
   APPLYOR                        varchar(20)                    not null,
   APPLYTIME                      datetime                       not null,
   APPLYTYPE                      decimal(4)                     not null,
   ISCHECKED                      decimal(4)                     not null,
   CHECKRST                       decimal(4),
   CHECKER                        varchar(20),
   CHECKTIME                      datetime,
   FEEDBACK                       varchar(255),
   primary key (SUBSYS, REPID, APPLYTIME)
)type=innodb;

/*==============================================================*/
/* Table: ST_REPCACHE                                           */
/*==============================================================*/
create table if not exists ST_REPCACHE
(
   SUBSYS                         varchar(12)                    not null,
   REPID                          decimal(5)                     not null,
   CACHETIME                      decimal(13)                    not null,
   CREATOR                        varchar(20)                    not null,
   CACHESOURCE                    decimal(4)                     not null,
   CNDVALUES                      varchar(500),
   DATASRCFLAG                    varchar(500),
   STARTROW                       decimal(8)                     not null,
   PERROWS                        decimal(8)                     not null,
   TOTALROWS                      decimal(8)                     not null,
   RSTROWS                        decimal(8)                     not null,
   RESULTSET                      longblob,
   REMARK                         varchar(255),
   primary key (SUBSYS, REPID, CACHETIME)
)type=innodb;

/*==============================================================*/

/*==============================================================*/
/* Table: ST_REPCHART                                           */
/*==============================================================*/
create table if not exists ST_REPCHART
(
   SUBSYS                         varchar(12)                    not null,
   REPID                          decimal(5)                     not null,
   CHARTNO                        decimal(4)                     not null,
   CHARTDESC                      varchar(40)                    not null,
   ISSHOWDATA                     decimal(4)                     not null,
   DATAPOS                        decimal(4),
   CHARTTYPE                      decimal(4)                     not null,
   ORIENTATION                    decimal(4)                     not null,
   TITLE                          varchar(100),
   SUBTITLEEXP                    varchar(255),
   CATTITLE                       varchar(100),
   DATATITLE                      varchar(100),
   WIDTH                          decimal(4)                     not null,
   HEIGHT                         decimal(4)                     not null,
   SERIESFIELD                    varchar(40),
   CATFIELD                       varchar(40)                    not null,
   DATA1EXP                       varchar(255)                   not null,
   DATA2EXP                       varchar(255),
   DATA3EXP                       varchar(255),
   DATA4EXP                       varchar(255),
   DATA5EXP                       varchar(255),
   LISTENER                       varchar(100),
   PIEMAXCAT                      decimal(2),
   BGCOLOR                        varchar(20),
   TIMEPERIOD                     decimal(4),
   SCALEMIN                       decimal(10,4),
   SCALEMAX                       decimal(10,4),
   ISCHARTDATA                    decimal(4)                     not null,
   DATAFMT                        varchar(40),
   ISDATAFLAG                     decimal(4)                     not null,
   ISMAP                          decimal(4)                     not null,
   MAPTARGET                      varchar(20),
   MAPURL                         varchar(500),
   REMARK                         varchar(255),
   primary key (SUBSYS, REPID, CHARTNO)
)type=innodb;

/*==============================================================*/
/* Table: ST_REPCHARTAXIS                                       */
/*==============================================================*/
create table if not exists ST_REPCHARTAXIS
(
   SUBSYS                         varchar(12)                    not null,
   REPID                          decimal(5)                     not null,
   CHARTNO                        decimal(4)                     not null,
   AXISNO                         decimal(4)                     not null,
   SUBCHARTS                      varchar(20)                    not null,
   AXISPOS                        decimal(4)                     not null,
   SCALEMIN                       decimal(10,4),
   SCALEMAX                       decimal(10,4),
   AXISTITLE                      varchar(40),
   REMARK                         varchar(255),
   primary key (SUBSYS, REPID, CHARTNO, AXISNO)
)type=innodb;

/*==============================================================*/
/* Table: ST_REPCHECK                                           */
/*==============================================================*/
create table if not exists ST_REPCHECK
(
   SUBSYS                         varchar(12)                    not null,
   REPID                          decimal(5)                     not null,
   CHECKID                        varchar(20)                    not null,
   CHECKDESC                      varchar(40)                    not null,
   RSTFILE                        varchar(255),
   RSTHD                          varchar(500),
   RSTFT                          varchar(500),
   REMARK                         varchar(255),
   primary key (SUBSYS, REPID, CHECKID)
)type=innodb;

/*==============================================================*/
/* Table: ST_REPCHECKITEM                                       */
/*==============================================================*/
create table if not exists ST_REPCHECKITEM
(
   SUBSYS                         varchar(12)                    not null,
   REPID                          decimal(5)                     not null,
   CHECKID                        varchar(20)                    not null,
   ITEMNO                         decimal(2)                     not null,
   CHECKRATE                      decimal(4)                     not null,
   CHECKEXP                       varchar(500)                   not null,
   PASSINFO                       varchar(500),
   ERRINFO                        varchar(500)                   not null,
   REMARK                         varchar(255),
   primary key (SUBSYS, REPID, CHECKID, ITEMNO)
)type=innodb;

/*==============================================================*/
/* Table: ST_REPCND                                             */
/*==============================================================*/
create table if not exists ST_REPCND
(
   SUBSYS                         varchar(12)                    not null,
   REPID                          decimal(5)                     not null,
   CNDID                          varchar(40)                    not null,
   CNDNO                          decimal(2)                     not null,
   CNDNAME                        varchar(100)                   not null,
   CNDTYPE                        decimal(4)                     not null,
   DISPNAME                       varchar(100)                   not null,
   TAGTYPE                        decimal(4)                     not null,
   DISPLEN                        decimal(4),
   MAXCNDLEN                      decimal(8),
   MINVAL                         decimal(8),
   MAXVAL                         decimal(8),
   CHECKFUNC                      varchar(30),
   DISPFORMAT                     varchar(30),
   INITVALEXP                     varchar(500),
   CNDVALEXP                      varchar(500),
   JTYPE                          decimal(4)                     not null,
   DICKIND                        decimal(4)                     not null,
   DICSUBSYS                      varchar(12),
   DICSUBKIND                     decimal(4),
   DICGRPID                       varchar(40),
   VALDICCOL                      decimal(4),
   POPDICURL                      varchar(500),
   ISMUSTSEL                      decimal(4)                     not null,
   ISNULLABLE                     decimal(4)                     not null,
   ISHIDE                         decimal(4)                     not null,
   LINKCNDS                       varchar(100),
   JSEVENT                        varchar(255),
   TAGSTYLE                       varchar(255),
   CNDINFO                        varchar(100),
   REMARK                         varchar(100),
   primary key (SUBSYS, REPID, CNDID)
)type=innodb;

/*==============================================================*/
/* Table: ST_REPCNDREM                                          */
/*==============================================================*/
create table if not exists ST_REPCNDREM
(
   SUBSYS                         varchar(12)                    not null,
   REPID                          decimal(5)                     not null,
   USERID                         varchar(40)                    not null,
   SELCNDIDS                      varchar(255),
   CNDVALUES                      varchar(500),
   REMARK                         varchar(255),
   primary key (SUBSYS, REPID, USERID)
)type=innodb;

/*==============================================================*/
/* Table: ST_REPCNDSVRCHECK                                     */
/*==============================================================*/
create table if not exists ST_REPCNDSVRCHECK
(
   SUBSYS                         varchar(12)                    not null,
   REPID                          decimal(5)                     not null,
   CHECKNO                        decimal(4)                     not null,
   CHECKEXP                       varchar(500)                   not null,
   ERRINFO                        varchar(255)                   not null,
   REMARK                         varchar(255),
   primary key (SUBSYS, REPID, CHECKNO)
)type=innodb;

/*==============================================================*/
/* Table: ST_REPDT                                              */
/*==============================================================*/
create table if not exists ST_REPDT
(
   SUBSYS                         varchar(12)                    not null,
   REPID                          decimal(5)                     not null,
   DTTYPE                         decimal(4)                     not null,
   DTCONT                         text,
   REMARK                         varchar(255),
   primary key (SUBSYS, REPID, DTTYPE)
)type=innodb;

/*==============================================================*/
/* Table: ST_REPEXP                                             */
/*==============================================================*/
create table if not exists ST_REPEXP
(
   SUBSYS                         varchar(12)                    not null,
   REPID                          decimal(5)                     not null,
   EXPID                          varchar(20)                    not null,
   EXPDESC                        varchar(60)                    not null,
   EXPTYPE                        decimal(4)                     not null,
   EXPCONT                        varchar(500)                   not null,
   REMARK                         varchar(255),
   primary key (SUBSYS, REPID, EXPID)
)type=innodb;

/*==============================================================*/
/* Table: ST_REPEXPORTTPL                                       */
/*==============================================================*/
create table if not exists ST_REPEXPORTTPL
(
   SUBSYS                         varchar(12)                    not null,
   REPID                          decimal(5)                     not null,
   TPLID                          varchar(20)                    not null,
   TPLDESC                        varchar(40)                    not null,
   TPLTYPE                        decimal(4)                     not null,
   FILENAME                       varchar(255),
   TPLCONT                        text,
   REMARK                         varchar(255),
   primary key (SUBSYS, REPID, TPLID)
)type=innodb;

/*==============================================================*/
/* Table: ST_REPFIELD                                           */
/*==============================================================*/
create table if not exists ST_REPFIELD
(
   SUBSYS                         varchar(12)                    not null,
   REPID                          decimal(5)                     not null,
   FIELDID                        varchar(40)                    not null,
   FIELDNO                        decimal(3)                     not null,
   TBLNAME                        varchar(100),
   COLNAME                        varchar(100)                   not null,
   DISPNAME                       varchar(100)                   not null,
   DISPTYPE                       decimal(4)                     not null,
   DISPFORMAT                     varchar(30),
   JTYPE                          decimal(4)                     not null,
   DICKIND                        decimal(4)                     not null,
   DICSUBSYS                      varchar(12),
   DICSUBKIND                     decimal(4),
   DICGRPID                       varchar(40),
   DICBINDFIELDS                  varchar(100),
   POPDICURL                      varchar(500),
   ISEDIT                         decimal(4)                     not null,
   DISPLEN                        decimal(4),
   ISTAGVALUE                     decimal(4)                     not null,
   ISHDHMERGE                     decimal(4)                     not null,
   ISHMERGE                       decimal(4)                     not null,
   ISVMERGE                       decimal(4)                     not null,
   ISPRINT                        decimal(4)                     not null,
   ISHIDE                         decimal(4)                     not null,
   LINKTARGET                     varchar(40),
   LINKURL                        varchar(500),
   PARAMFIELDS                    varchar(100),
   QUERYINFO                      varchar(255),
   FIRSTEXP                       varchar(500),
   SECONDEXP                      varchar(255),
   DISPEXP                        varchar(255),
   ISACCESSEXP                    varchar(255),
   LHDEXP                         varchar(255),
   DHDEXP                         varchar(255),
   LHDTDSTYLE                     varchar(255),
   DHDTDSTYLE                     varchar(255),
   LTDSTYLE                       varchar(255),
   DTDSTYLE                       varchar(255),
   REMARK                         varchar(100),
   primary key (SUBSYS, REPID, FIELDID)
)type=innodb;

/*==============================================================*/
/* Table: ST_REPFUNC                                            */
/*==============================================================*/
create table if not exists ST_REPFUNC
(
   SUBSYS                         varchar(12)                    not null,
   REPID                          decimal(5)                     not null,
   FUNCID                         varchar(40)                    not null,
   DISPNAME                       varchar(100)                   not null,
   DISPNO                         decimal(4)                     not null,
   DISPPOS                        decimal(4)                     not null,
   DISPTYPE                       decimal(4)                     not null,
   FUNCTYPE                       decimal(4)                     not null,
   FUNCURL                        varchar(500),
   URLPARAMS                      varchar(100),
   TARGET                         varchar(30),
   ISALWAYSSHOW                   decimal(4)                     not null,
   LINKPID                        decimal(6),
   DISPCND                        varchar(255),
   QUERYINFO                      varchar(255),
   FUNCINFO                       varchar(255),
   REMARK                         varchar(255),
   primary key (SUBSYS, REPID, FUNCID)
)type=innodb;

/*==============================================================*/
/* Table: ST_REPGRIDHD                                          */
/*==============================================================*/
create table if not exists ST_REPGRIDHD
(
   SUBSYS                         varchar(12)                    not null,
   REPID                          decimal(5)                     not null,
   HDROWID                        decimal(2)                     not null,
   ROWNO                          decimal(2)                     not null,
   TRSTYLE                        varchar(255),
   REMARK                         varchar(255),
   primary key (SUBSYS, REPID, HDROWID)
)type=innodb;

/*==============================================================*/
/* Table: ST_REPGRIDHDFIELD                                     */
/*==============================================================*/
create table if not exists ST_REPGRIDHDFIELD
(
   SUBSYS                         varchar(12)                    not null,
   REPID                          decimal(5)                     not null,
   HDROWID                        decimal(2)                     not null,
   FIELDID                        varchar(40)                    not null,
   HDEXP                          varchar(40)                    not null,
   ISHMERGE                       decimal(4)                     not null,
   ISVMERGE                       decimal(4)                     not null,
   TDSTYLE                        varchar(255),
   REMARK                         varchar(255),
   primary key (SUBSYS, REPID, HDROWID, FIELDID)
)type=innodb;

/*==============================================================*/
/* Table: ST_REPGRP                                             */
/*==============================================================*/
create table if not exists ST_REPGRP
(
   SUBSYS                         varchar(12)                    not null,
   REPID                          decimal(5)                     not null,
   GRPLEVEL                       decimal(4)                     not null,
   GRPFIELDS                      varchar(100)                   not null,
   ISBREAK                        decimal(4)                     not null,
   ISNEWPAGE                      decimal(4)                     not null,
   ISNEWPAGENO                    decimal(4)                     not null,
   REMARK                         varchar(255),
   primary key (SUBSYS, REPID, GRPLEVEL)
)type=innodb;

/*==============================================================*/
/* Table: ST_REPGRPDT                                           */
/*==============================================================*/
create table if not exists ST_REPGRPDT
(
   SUBSYS                         varchar(12)                    not null,
   REPID                          decimal(5)                     not null,
   GRPLEVEL                       decimal(4)                     not null,
   DTTYPE                         decimal(4)                     not null,
   DTCONT                         text,
   REMARK                         varchar(255),
   primary key (SUBSYS, REPID, GRPLEVEL, DTTYPE)
)type=innodb;

/*==============================================================*/
/* Table: ST_REPGRPSUM                                          */
/*==============================================================*/
create table if not exists ST_REPGRPSUM
(
   SUBSYS                         varchar(12)                    not null,
   REPID                          decimal(5)                     not null,
   GRPLEVEL                       decimal(2)                     not null,
   SUMID                          varchar(20)                    not null,
   DISPNO                         decimal(2)                     not null,
   DISPPOS                        decimal(4)                     not null,
   ISONEIGN                       decimal(4)                     not null,
   ISMERGEBLK                     decimal(4)                     not null,
   TRSTYLE                        varchar(255),
   SUMDESC                        varchar(255),
   REMARK                         varchar(255),
   primary key (SUBSYS, REPID, GRPLEVEL, SUMID)
)type=innodb;

/*==============================================================*/
/* Table: ST_REPGRPSUMFIELD                                     */
/*==============================================================*/
create table if not exists ST_REPGRPSUMFIELD
(
   SUBSYS                         varchar(12)                    not null,
   REPID                          decimal(5)                     not null,
   GRPLEVEL                       decimal(4)                     not null,
   SUMID                          varchar(20)                    not null,
   FIELDID                        varchar(40)                    not null,
   SUMEXP                         varchar(255),
   DISPFORMAT                     varchar(30),
   ISMERGEBLK                     decimal(4)                     not null,
   TDSTYLE                        varchar(255),
   REMARK                         varchar(255),
   primary key (SUBSYS, REPID, GRPLEVEL, SUMID, FIELDID)
)type=innodb;

/*==============================================================*/
/* Table: ST_REPHDFT                                            */
/*==============================================================*/
create table if not exists ST_REPHDFT
(
   SUBSYS                         varchar(12)                    not null,
   REPID                          decimal(5)                     not null,
   HDFTTYPE                       decimal(4)                     not null,
   DISPNO                         decimal(4)                     not null,
   TRSTYLE                        varchar(255),
   CONT1                          varchar(255),
   TDSTYLE1                       varchar(255),
   CONT2                          varchar(255),
   TDSTYLE2                       varchar(255),
   CONT3                          varchar(255),
   TDSTYLE3                       varchar(255),
   REMARK                         varchar(255),
   primary key (SUBSYS, REPID, HDFTTYPE, DISPNO)
)type=innodb;

/*==============================================================*/
/* Table: ST_REPJSCSS                                           */
/*==============================================================*/
create table if not exists ST_REPJSCSS
(
   SUBSYS                         varchar(12)                    not null,
   REPID                          decimal(5)                     not null,
   JSCSSNO                        decimal(4)                     not null,
   ISINIT                         decimal(4)                     not null,
   JSCSS                          varchar(2000)                  not null,
   REMARK                         varchar(255),
   primary key (SUBSYS, REPID, JSCSSNO)
)type=innodb;

/*==============================================================*/
/* Table: ST_REPJSEVENT                                         */
/*==============================================================*/
create table if not exists ST_REPJSEVENT
(
   SUBSYS                         varchar(12)                    not null,
   REPID                          decimal(5)                     not null,
   EVENTTYPE                      decimal(4)                     not null,
   ISINIT                         decimal(4)                     not null,
   JSFUNC                         varchar(255)                   not null,
   REMARK                         varchar(255),
   primary key (SUBSYS, REPID, EVENTTYPE)
)type=innodb;

/*==============================================================*/
/* Table: ST_REPORT                                             */
/*==============================================================*/
create table if not exists ST_REPORT
(
   SUBSYS                         varchar(12)                    not null,
   REPID                          decimal(5)                     not null,
   REPDESC                        varchar(100)                   not null,
   REPSTATUS                      decimal(4)                     not null,
   CREATOR                        varchar(20)                    not null,
   CREATETIME                     datetime                       not null,
   DATASRCTYPE                    decimal(4)                     not null,
   DATASRC                        varchar(4000)                  not null,
   ISACTRL                        decimal(4)                     not null,
   PERMISSIONID                   decimal(6),
   DISPTYPE                       decimal(4)                     not null,
   PERROWS                        decimal(4)                     not null,
   ISAGRNOCND                     decimal(4)                     not null,
   APPLYTYPE                      decimal(4)                     not null,
   ISSYSFMENU                     decimal(4)                     not null,
   ISCOLHD                        decimal(4)                     not null,
   ISMAXWIDTH                     decimal(4)                     not null,
   ISMAXLASTCOL                   decimal(4)                     not null,
   ISEDIT                         decimal(4)                     not null,
   LSTMODEL                       decimal(4)                     not null,
   ISREMCND                       decimal(4)                     not null,
   ISREALTIME                     decimal(4)                     not null,
   ISAUTOCACHE                    decimal(4)                     not null,
   REPLISTENER                    varchar(100),
   CNDFMT                         varchar(1000),
   LISTFMT                        varchar(1000),
   DETAILFMT                      varchar(2000),
   LTBSTYLE                       varchar(255),
   DTBSTYLE                       varchar(255),
   LHDTRSTYLE                     varchar(255),
   LTRSTYLE                       varchar(255),
   DTRSTYLE                       varchar(255),
   DCOLWIDTHS                     varchar(100),
   REMARK                         varchar(255),
   primary key (SUBSYS, REPID)
)type=innodb;

/*==============================================================*/
/* Table: ST_REPPRT                                             */
/*==============================================================*/
create table if not exists ST_REPPRT
(
   SUBSYS                         varchar(12)                    not null,
   REPID                          decimal(5)                     not null,
   LEFTMG                         decimal(6,2),
   RIGHTMG                        decimal(6,2),
   TOPMG                          decimal(6,2),
   BOTTOMMG                       decimal(6,2),
   PAPERORT                       decimal(4)                     not null,
   HEADER                         varchar(100),
   FOOTER                         varchar(100),
   DEFAULTPRT                     varchar(50),
   DEFAULTPAGE                    varchar(50),
   PAGEWIDTH                      decimal(6,2),
   PAGEHEIGHT                     decimal(6,2),
   PRTZOOM                        decimal(3,2)                   not null,
   ISPAGEDL                       decimal(4)                     not null,
   ISPRTDL                        decimal(4)                     not null,
   REMARK                         varchar(255),
   primary key (SUBSYS, REPID)
)type=innodb;

/*==============================================================*/
/* Table: ST_REPSCHEDULE                                        */
/*==============================================================*/
create table if not exists ST_REPSCHEDULE
(
   SUBSYS                         varchar(12)                    not null,
   REPID                          decimal(5)                     not null,
   TASKID                         varchar(20)                    not null,
   TASKDESC                       varchar(50)                    not null,
   ISVALID                        decimal(4)                     not null,
   TASKTYPE                       decimal(4)                     not null,
   TASKTARGET                     varchar(500),
   USERIDS                        varchar(500),
   REPCNDS                        varchar(1000),
   LOOPRULE                       varchar(100),
   ROWLIMIT                       decimal(6),
   ISREALTIME                     decimal(4)                     not null,
   EXECPERIOD                     decimal(4)                     not null,
   PERIODINTERVAL                 decimal(2)                     not null,
   CRONEXP                        varchar(100),
   STARTDATE                      datetime                       not null,
   ENDDATE                        datetime,
   LASTDATE                       datetime,
   LASTSTATUS                     decimal(4),
   LASTERR                        varchar(500),
   REMARK                         varchar(255),
   primary key (SUBSYS, REPID, TASKID)
)type=innodb;

/*==============================================================*/
/* Table: ST_REPSUM                                             */
/*==============================================================*/
create table if not exists ST_REPSUM
(
   SUBSYS                         varchar(12)                    not null,
   REPID                          decimal(5)                     not null,
   SUMID                          varchar(20)                    not null,
   DISPNO                         decimal(4)                     not null,
   DISPPOS                        decimal(4)                     not null,
   ISONEIGN                       decimal(4)                     not null,
   ISMERGEBLK                     decimal(4)                     not null,
   SUMTYPE                        decimal(4)                     not null,
   TRSTYLE                        varchar(255),
   SUMDESC                        varchar(255),
   REMARK                         varchar(255),
   primary key (SUBSYS, REPID, SUMID)
)type=innodb;

/*==============================================================*/
/* Table: ST_REPSUMFIELD                                        */
/*==============================================================*/
create table if not exists ST_REPSUMFIELD
(
   SUBSYS                         varchar(12)                    not null,
   REPID                          decimal(5)                     not null,
   SUMID                          varchar(20)                    not null,
   FIELDID                        varchar(40)                    not null,
   SUMEXP                         varchar(255),
   DISPFORMAT                     varchar(30),
   ISMERGEBLK                     decimal(4)                     not null,
   TDSTYLE                        varchar(255),
   REMARK                         varchar(255),
   primary key (SUBSYS, REPID, SUMID, FIELDID)
)type=innodb;

/*==============================================================*/
/* Table: ST_REPTREE                                            */
/*==============================================================*/
create table if not exists ST_REPTREE
(
   SUBSYS                         varchar(12)                    not null,
   REPID                          decimal(5)                     not null,
   TREENO                         decimal(2)                     not null,
   TREEDESC                       varchar(40)                    not null,
   ROOTNODEEXP                    varchar(100)                   not null,
   ROOTSRC                        decimal(4)                     not null,
   NODEFIELD                      varchar(40)                    not null,
   DISPFIELD                      varchar(40),
   EXPENDTYPE                     decimal(4)                     not null,
   SUPERFIELD                     varchar(40),
   ISLASTSHOWITEM                 decimal(4)                     not null,
   ISOPENFIRST                    decimal(4)                     not null,
   ISFILTERBLK                    decimal(4)                     not null,
   EXTPOS                         decimal(4)                     not null,
   ISINITEXT                      decimal(4)                     not null,
   ISOPENREFRESH                  decimal(4)                     not null,
   OPENICONFIELD                  varchar(40),
   CLOSEICONFIELD                 varchar(40),
   ITEMICONFIELD                  varchar(40),
   OPENICON                       varchar(100),
   CLOSEICON                      varchar(100),
   ITEMICON                       varchar(100),
   NODESTYLE                      varchar(255),
   REMARK                         varchar(255),
   primary key (SUBSYS, REPID, TREENO)
)type=innodb;

/*==============================================================*/
/* Table: ST_REPTREEEXTNODE                                     */
/*==============================================================*/
create table if not exists ST_REPTREEEXTNODE
(
   SUBSYS                         varchar(20)                    not null,
   REPID                          decimal(5)                     not null,
   TREENO                         decimal(2)                     not null,
   EXTNO                          decimal(2)                     not null,
   SRRESID                        varchar(20)                    not null,
   ISSHOWROOT                     decimal(4)                     not null,
   REMARK                         varchar(255),
   primary key (SUBSYS, REPID, TREENO, EXTNO)
)type=innodb;

/*==============================================================*/
/* Table: ST_REPUNITFUNC                                        */
/*==============================================================*/
create table if not exists ST_REPUNITFUNC
(
   SUBSYS                         varchar(12)                    not null,
   REPID                          decimal(5)                     not null,
   FUNCID                         varchar(40)                    not null,
   DISPNAME                       varchar(30)                    not null,
   DISPNO                         decimal(4)                     not null,
   FUNCURL                        varchar(500)                   not null,
   URLFIELDS                      varchar(100),
   TARGET                         varchar(30),
   LINKPID                        decimal(6),
   DISPCND                        varchar(255),
   QUERYINFO                      varchar(255),
   FUNCINFO                       varchar(255),
   REMARK                         varchar(255),
   primary key (SUBSYS, REPID, FUNCID)
)type=innodb;

/*==============================================================*/
/* Table: ST_RGPARAM                                            */
/*==============================================================*/
create table if not exists ST_RGPARAM
(
   RGID                           varchar(40)                    not null,
   PARAMNAME                      varchar(40)                    not null,
   PARAMVAL                       varchar(255),
   REMARK                         varchar(255),
   primary key (RGID, PARAMNAME)
)type=innodb;

/*==============================================================*/
/* Table: ST_ROLE                                               */
/*==============================================================*/
create table if not exists ST_ROLE
(
   SUBSYS                         varchar(12)                    not null,
   ROLEID                         decimal(6)                     not null,
   ROLEDESC                       varchar(100)                   not null,
   ISOUTACCESS                    decimal(4)                     not null,
   REMARK                         varchar(255),
   primary key (SUBSYS, ROLEID)
)type=innodb;

/*==============================================================*/
/* Table: ST_ROLEPERMISSION                                     */
/*==============================================================*/
create table if not exists ST_ROLEPERMISSION
(
   SUBSYS                         varchar(12)                    not null,
   ROLEID                         decimal(6)                     not null,
   PERMISSIONID                   decimal(6)                     not null,
   primary key (SUBSYS, ROLEID, PERMISSIONID)
)type=innodb;

/*==============================================================*/
/* Table: ST_SEQUENCE                                           */
/*==============================================================*/
create table if not exists ST_SEQUENCE
(
   SUBSYS                         varchar(12)                    not null,
   SEQID                          varchar(20)                    not null,
   SEQDESC                        varchar(100)                   not null,
   CURVAL                         decimal(14)                    not null,
   STEPLEN                        decimal(4),
   SEQTYPE                        decimal(4)                     not null,
   ISFOURYEAR                     decimal(4)                     not null,
   BASESIZE                       decimal(2),
   REMARK                         varchar(100),
   primary key (SUBSYS, SEQID)
)type=innodb;

/*==============================================================*/
/* Table: ST_SFNODE                                             */
/*==============================================================*/
create table if not exists ST_SFNODE
(
   SUBSYS                         varchar(12)                    not null,
   SFID                           decimal(5)                     not null,
   NODEID                         varchar(10)                    not null,
   NODENO                         decimal(2)                     not null,
   NODEDESC                       varchar(40)                    not null,
   OPERATORS                      varchar(100)                   not null,
   EXECCND                        varchar(500),
   REMARK                         varchar(255),
   primary key (SUBSYS, SFID, NODEID)
)type=innodb;

/*==============================================================*/
/* Table: ST_SIMPLEFLOW                                         */
/*==============================================================*/
create table if not exists ST_SIMPLEFLOW
(
   SUBSYS                         varchar(12)                    not null,
   SFID                           decimal(5)                     not null,
   SFDESC                         varchar(40)                    not null,
   REMARK                         varchar(255),
   primary key (SUBSYS, SFID)
)type=innodb;

/*==============================================================*/
/* Table: ST_SQLLOG                                             */
/*==============================================================*/
create table if not exists ST_SQLLOG
(
   LOGID                          decimal(14)                    not null,
   USERID                         varchar(20)                    not null,
   LOGDATE                        datetime                       not null,
   SUBSYS                         varchar(12)                    not null,
   TBLNAME                        varchar(50)                    not null,
   SQLTYPE                        decimal(4)                     not null,
   KEYCOLTYPE                     varchar(40),
   KEYVALS                        varchar(200),
   LOGSQL                         varchar(2000)                  not null,
   UPDCONT                        text,
   primary key (LOGID)
)type=innodb;

/*==============================================================*/
/* Table: ST_SQLLOGSET                                          */
/*==============================================================*/
create table if not exists ST_SQLLOGSET
(
   SUBSYS                         varchar(12)                    not null,
   TBLNAME                        varchar(20)                    not null,
   KEYCOLS                        varchar(100)                   not null,
   KEYCOLTYPE                     varchar(40)                    not null,
   ISLOG                          decimal(4)                     not null,
   REMARK                         varchar(255),
   primary key (SUBSYS, TBLNAME)
)type=innodb;

/*==============================================================*/
/* Table: ST_SRBODYCELL                                         */
/*==============================================================*/
create table if not exists ST_SRBODYCELL
(
   SUBSYS                         varchar(12)                    not null,
   REPID                          decimal(5)                     not null,
   SRROWID                        varchar(20)                    not null,
   SRCOLID                        varchar(20)                    not null,
   VALEXP                         varchar(500),
   REMARK                         varchar(255),
   primary key (SUBSYS, REPID, SRROWID, SRCOLID)
)type=innodb;

/*==============================================================*/
/* Table: ST_SRCACHE                                            */
/*==============================================================*/
create table if not exists ST_SRCACHE
(
   SUBSYS                         varchar(12)                    not null,
   REPID                          decimal(5)                     not null,
   CACHETIME                      decimal(13)                    not null,
   CREATOR                        varchar(20)                    not null,
   CHECKER                        varchar(20)                    not null,
   DATAUNIT                       decimal(4)                     not null,
   CNDVALUES                      varchar(500),
   DATASRCFLAG                    varchar(500),
   CACHEDATA                      longblob,
   REMARK                         varchar(255),
   primary key (SUBSYS, REPID, CACHETIME)
)type=innodb;


/*==============================================================*/
/* Table: ST_SRCOLUMN                                           */
/*==============================================================*/
create table if not exists ST_SRCOLUMN
(
   SUBSYS                         varchar(12)                    not null,
   REPID                          decimal(5)                     not null,
   SRCOLID                        varchar(20)                    not null,
   SRCOLNO                        decimal(2)                     not null,
   DISPNAME                       varchar(100)                   not null,
   COLTYPE                        decimal(4)                     not null,
   JTYPE                          decimal(4)                     not null,
   DATAUNIT                       decimal(4)                     not null,
   FRACTION                       decimal(2),
   ISADDUP                        decimal(4)                     not null,
   COLVALEXP                      varchar(255),
   DISPFORMAT                     varchar(30),
   ISVMERGE                       decimal(4)                     not null,
   COLWIDTH                       varchar(20)                    not null,
   HDTDSTYLE                      varchar(255),
   TDSTYLE                        varchar(255),
   REMARK                         varchar(255),
   primary key (SUBSYS, REPID, SRCOLID)
)type=innodb;

/*==============================================================*/
/* Table: ST_SRGRIDHD                                           */
/*==============================================================*/
create table if not exists ST_SRGRIDHD
(
   SUBSYS                         varchar(12)                    not null,
   REPID                          decimal(5)                     not null,
   HDROWID                        decimal(2)                     not null,
   ROWNO                          decimal(2)                     not null,
   TRSTYLE                        varchar(255),
   REMARK                         varchar(255),
   primary key (SUBSYS, REPID, HDROWID)
)type=innodb;

/*==============================================================*/
/* Table: ST_SRGRIDHDCOL                                        */
/*==============================================================*/
create table if not exists ST_SRGRIDHDCOL
(
   SUBSYS                         varchar(12)                    not null,
   REPID                          decimal(5)                     not null,
   HDROWID                        decimal(2)                     not null,
   SRCOLID                        varchar(20)                    not null,
   HDEXP                          varchar(50)                    not null,
   ISHMERGE                       decimal(4)                     not null,
   ISVMERGE                       decimal(4)                     not null,
   TDSTYLE                        varchar(255),
   REMARK                         varchar(255),
   primary key (SUBSYS, REPID, HDROWID, SRCOLID)
)type=innodb;

/*==============================================================*/
/* Table: ST_SRHDFT                                             */
/*==============================================================*/
create table if not exists ST_SRHDFT
(
   SUBSYS                         varchar(12)                    not null,
   REPID                          decimal(5)                     not null,
   HDFTTYPE                       decimal(4)                     not null,
   DISPNO                         decimal(2)                     not null,
   TRSTYLE                        varchar(255),
   CONT1                          varchar(255),
   TDSTYLE1                       varchar(255),
   CONT2                          varchar(255),
   TDSTYLE2                       varchar(255),
   CONT3                          varchar(255),
   TDSTYLE3                       varchar(255),
   REAMRK                         varchar(255),
   primary key (SUBSYS, REPID, DISPNO, HDFTTYPE)
)type=innodb;

/*==============================================================*/
/* Table: ST_SRROW                                              */
/*==============================================================*/
create table if not exists ST_SRROW
(
   SUBSYS                         varchar(12)                    not null,
   REPID                          decimal(5)                     not null,
   SRROWID                        varchar(20)                    not null,
   SRROWNO                        decimal(3)                     not null,
   ITEMDESC                       varchar(100)                   not null,
   ITEMGRADE                      decimal(2)                     not null,
   ROWVALEXP                      varchar(255),
   ROWHEIGHT                      varchar(20),
   TRSTYLE                        varchar(255),
   REMARK                         varchar(255),
   primary key (SUBSYS, REPID, SRROWID)
)type=innodb;

/*==============================================================*/
/* Table: ST_STRDIC                                             */
/*==============================================================*/
create table if not exists ST_STRDIC
(
   SUBSYS                         varchar(12)                    not null,
   DICGRPID                       decimal(4)                     not null,
   DICID                          varchar(40)                    not null,
   DICDESC                        varchar(100)                   not null,
   REMARK                         varchar(100),
   primary key (SUBSYS, DICGRPID, DICID)
)type=innodb;

/*==============================================================*/
/* Table: ST_STRDICGRP                                          */
/*==============================================================*/
create table if not exists ST_STRDICGRP
(
   SUBSYS                         varchar(12)                    not null,
   DICGRPID                       decimal(4)                     not null,
   ISSYSDIC                       decimal(4)                     not null,
   DDDESCTYPE                     decimal(4)                     not null,
   GRPDESC                        varchar(100),
   REMARK                         varchar(100),
   primary key (SUBSYS, DICGRPID)
)type=innodb;

/*==============================================================*/
/* Table: ST_SUBREP                                             */
/*==============================================================*/
create table if not exists ST_SUBREP
(
   SUBSYS                         varchar(12)                    not null,
   REPID                          decimal(5)                     not null,
   SRRESID                        varchar(20)                    not null,
   SRRESDESC                      varchar(40)                    not null,
   SRSUBSYS                       varchar(12)                    not null,
   SRREPID                        decimal(5)                     not null,
   CNDSOURCE                      decimal(4)                     not null,
   SELCNDS                        varchar(255),
   MAPCNDS                        varchar(255),
   RSTFILTERCND                   varchar(255),
   DISPTYPE                       decimal(4),
   NRPARAMS                       varchar(255),
   ERPARAMS                       varchar(255),
   REMARK                         varchar(255),
   primary key (SUBSYS, REPID, SRRESID)
)type=innodb;

/*==============================================================*/
/* Table: ST_SUBSEQ                                             */
/*==============================================================*/
create table if not exists ST_SUBSEQ
(
   SUBSYS                         varchar(12)                    not null,
   SEQID                          varchar(20)                    not null,
   SUBSEQID                       varchar(50)                    not null,
   CURVAL                         decimal(14)                    not null,
   REMARK                         varchar(100),
   primary key (SUBSYS, SEQID, SUBSEQID)
)type=innodb;

/*==============================================================*/
/* Table: ST_SUBSYS                                             */
/*==============================================================*/
create table if not exists ST_SUBSYS
(
   SUBSYS                         varchar(12)                    not null,
   SYSDESC                        varchar(100)                   not null,
   DBRESID                        varchar(12)                    not null,
   TESTDBRESID                    varchar(12),
   COLINFOSUBSYS                  varchar(12),
   REMARK                         varchar(255),
   primary key (SUBSYS)
)type=innodb;

/*==============================================================*/
/* Table: ST_SUMMARYREP                                         */
/*==============================================================*/
create table if not exists ST_SUMMARYREP
(
   SUBSYS                         varchar(12)                    not null,
   REPID                          decimal(5)                     not null,
   PERIODTYPE                     decimal(4)                     not null,
   PERIODCNDIDS                   varchar(100),
   LASTBORDER                     decimal(4)                     not null,
   ISEDIT                         decimal(4)                     not null,
   ISEDITACTRL                    decimal(4)                     not null,
   EDITPID                        decimal(5),
   ISAUTOCACHE                    decimal(4)                     not null,
   ISAUTOBALENCE                  decimal(4)                     not null,
   DEFDATAUNIT                    decimal(4)                     not null,
   FRACTION                       decimal(4),
   ISFIXEDSIZE                    decimal(4),
   ROWHDCOLSPAN                   decimal(2)                     not null,
   ROWHDEXP                       varchar(255),
   TBLSTYLE                       varchar(255),
   HDTRSTYLE                      varchar(255),
   TRSTYLE                        varchar(255),
   REMARK                         varchar(255),
   primary key (SUBSYS, REPID)
)type=innodb;

/*==============================================================*/
/* Table: ST_SYSPARAM                                           */
/*==============================================================*/
create table if not exists ST_SYSPARAM
(
   SUBSYS                         varchar(12)                    not null,
   PARAMNAME                      varchar(30)                    not null,
   PARAMVALUE                     varchar(255),
   ISCACHE                        decimal(4)                     not null,
   PARAMDESC                      varchar(100),
   REMARK                         varchar(255),
   primary key (SUBSYS, PARAMNAME)
)type=innodb;

/*==============================================================*/
/* Table: ST_SYSUSER                                            */
/*==============================================================*/
create table if not exists ST_SYSUSER
(
   USERID                         varchar(20)                    not null,
   PASSWD                         varchar(80),
   USERNAME                       varchar(20)                    not null,
   REGION                         varchar(30)                    not null,
   GRADE                          decimal(4)                     not null,
   DEPT                           varchar(30)                    not null,
   POST                           decimal(4)                     not null,
   USERTYPE                       decimal(4)                     not null,
   DISPNO                         decimal(4),
   USERSTAT                       decimal(4)                     not null,
   IPDRESS                        varchar(20),
   ISBINDIP                       decimal(4)                     not null,
   EMAIL                          varchar(40),
   MOBILE                         varchar(20),
   REMARK                         varchar(255),
   primary key (USERID)
)type=innodb;

/*==============================================================*/
/* Table: ST_TABFUNC                                            */
/*==============================================================*/
create table if not exists ST_TABFUNC
(
   SUBSYS                         varchar(12)                    not null,
   TABID                          decimal(5)                     not null,
   FUNCID                         varchar(30)                    not null,
   DISPNAME                       varchar(30)                    not null,
   DISPNO                         decimal(4)                     not null,
   DISPPOS                        decimal(4)                     not null,
   FUNCTYPE                       decimal(4)                     not null,
   FUNCURL                        varchar(500),
   TARGET                         varchar(30),
   LINKPID                        decimal(6),
   DISPCND                        varchar(255),
   QUERYINFO                      varchar(255),
   REMARK                         varchar(255),
   primary key (SUBSYS, TABID, FUNCID)
)type=innodb;

/*==============================================================*/
/* Table: ST_TABJSCSS                                           */
/*==============================================================*/
create table if not exists ST_TABJSCSS
(
   SUBSYS                         varchar(12)                    not null,
   TABID                          decimal(5)                     not null,
   JSCSSNO                        decimal(2)                     not null,
   JSCSS                          varchar(2000)                  not null,
   REMARK                         varchar(255),
   primary key (SUBSYS, TABID, JSCSSNO)
)type=innodb;

/*==============================================================*/
/* Table: ST_TABPAGE                                            */
/*==============================================================*/
create table if not exists ST_TABPAGE
(
   SUBSYS                         varchar(12)                    not null,
   TABID                          decimal(5)                     not null,
   TABPAGEID                      varchar(20)                    not null,
   PAGETITLE                      varchar(40)                    not null,
   DISPNO                         decimal(2)                     not null,
   LINKPID                        decimal(6),
   PAGEURL                        varchar(500)                   not null,
   JSEVENT                        varchar(100),
   REMARK                         varchar(255),
   primary key (SUBSYS, TABID, TABPAGEID)
)type=innodb;

/*==============================================================*/
/* Table: ST_TABRES                                             */
/*==============================================================*/
create table if not exists ST_TABRES
(
   SUBSYS                         varchar(12)                    not null,
   TABID                          decimal(5)                     not null,
   TABDESC                        varchar(100)                   not null,
   ISACTRL                        decimal(4)                     not null,
   PERMISSIONID                   decimal(6),
   ISSHOWTITLE                    decimal(4)                     not null,
   ROWPAGES                       decimal(2),
   TABPOS                         decimal(4)                     not null,
   ROWFUNCS                       decimal(2),
   REMARK                         varchar(255),
   primary key (SUBSYS, TABID)
)type=innodb;

/*==============================================================*/
/* Table: ST_TBLINFO                                            */
/*==============================================================*/
create table if not exists ST_TBLINFO
(
   SUBSYS                         varchar(12)                    not null,
   TBLNAME                        varchar(40)                    not null,
   TBLDESC                        varchar(100),
   REMARK                         varchar(100),
   primary key (SUBSYS, TBLNAME)
)type=innodb;

/*==============================================================*/
/* Table: ST_UPDCOLINFO                                         */
/*==============================================================*/
create table if not exists ST_UPDCOLINFO
(
   SUBSYS                         varchar(12)                    not null,
   UPDATEID                       varchar(20)                    not null,
   COLNAME                        varchar(40)                    not null,
   COLDESC                        varchar(40),
   ISNULLABLE                     decimal(4),
   TAGTYPE                        decimal(4),
   DISPFORMAT                     varchar(30),
   DISPLEN                        decimal(8),
   ROWSIZE                        decimal(4),
   CHECKFUNC                      varchar(30),
   POPDICURL                      varchar(500),
   TAGSTYLE                       varchar(255),
   ISALWAYSSAVE                   decimal(4)                     not null,
   DISPEXP                        varchar(500),
   SAVEEXP                        varchar(500),
   JSEVENT                        varchar(255),
   primary key (SUBSYS, UPDATEID, COLNAME)
)type=innodb;

/*==============================================================*/
/* Table: ST_UPDDT                                              */
/*==============================================================*/
create table if not exists ST_UPDDT
(
   SUBSYS                         varchar(12)                    not null,
   UPDATEID                       varchar(20)                    not null,
   DTTYPE                         decimal(4)                     not null,
   DTCONT                         text,
   REMARK                         varchar(255),
   primary key (SUBSYS, UPDATEID, DTTYPE)
)type=innodb;

/*==============================================================*/
/* Table: ST_UPDEXPOP                                           */
/*==============================================================*/
create table if not exists ST_UPDEXPOP
(
   SUBSYS                         varchar(12)                    not null,
   UPDATEID                       varchar(20)                    not null,
   EXECNO                         decimal(4)                     not null,
   EXECPOS                        decimal(4)                     not null,
   EXECCND                        varchar(255),
   EXPCONT                        varchar(255)                   not null,
   REMARK                         varchar(255),
   primary key (SUBSYS, UPDATEID, EXECNO)
)type=innodb;

/*==============================================================*/
/* Table: ST_UPDFUNC                                            */
/*==============================================================*/
create table if not exists ST_UPDFUNC
(
   SUBSYS                         varchar(12)                    not null,
   UPDATEID                       varchar(20)                    not null,
   FUNCID                         varchar(20)                    not null,
   DISPNAME                       varchar(100)                   not null,
   DISPNO                         decimal(2),
   DISPPOS                        decimal(4)                     not null,
   FUNCTYPE                       decimal(4)                     not null,
   FUNCURL                        varchar(500),
   URLCOLS                        varchar(255),
   TARGET                         varchar(30),
   LINKPID                        decimal(6),
   DISPCND                        varchar(255),
   QUERYINFO                      varchar(255),
   FUNCINFO                       varchar(100),
   REMARK                         varchar(255),
   primary key (SUBSYS, UPDATEID, FUNCID)
)type=innodb;

/*==============================================================*/
/* Table: ST_UPDJSCSS                                           */
/*==============================================================*/
create table if not exists ST_UPDJSCSS
(
   SUBSYS                         varchar(12)                    not null,
   UPDATEID                       varchar(20)                    not null,
   JSCSSNO                        decimal(4)                     not null,
   JSCSS                          varchar(2000)                  not null,
   REMARK                         varchar(255),
   primary key (SUBSYS, UPDATEID, JSCSSNO)
)type=innodb;

/*==============================================================*/
/* Table: ST_UPDJSEVENT                                         */
/*==============================================================*/
create table if not exists ST_UPDJSEVENT
(
   SUBSYS                         varchar(12)                    not null,
   UPDATEID                       varchar(20)                    not null,
   EVENTTYPE                      decimal(4)                     not null,
   JSFUNC                         varchar(100)                   not null,
   REMARK                         varchar(255),
   primary key (SUBSYS, UPDATEID, EVENTTYPE)
)type=innodb;

/*==============================================================*/
/* Table: ST_UPDLINKOP                                          */
/*==============================================================*/
create table if not exists ST_UPDLINKOP
(
   SUBSYS                         varchar(12)                    not null,
   UPDATEID                       varchar(20)                    not null,
   EXECNO                         decimal(4)                     not null,
   EXECPOS                        decimal(4)                     not null,
   EXECCND                        varchar(500),
   TARGETSUBSYS                   varchar(12),
   SCRIPTTYPE                     decimal(4)                     not null,
   SCRIPTCONT                     varchar(2000)                  not null,
   PARAMEXPS                      varchar(1000),
   REMARK                         varchar(255),
   primary key (SUBSYS, UPDATEID, EXECNO)
)type=innodb;

/*==============================================================*/
/* Table: ST_UPDRES                                             */
/*==============================================================*/
create table if not exists ST_UPDRES
(
   SUBSYS                         varchar(12)                    not null,
   UPDATEID                       varchar(20)                    not null,
   UPDTYPE                        decimal(4)                     not null,
   RESDESC                        varchar(100)                   not null,
   RESOBJ                         varchar(100)                   not null,
   ISACTRL                        decimal(4)                     not null,
   PERMISSIONID                   decimal(6),
   ISCHKRST                       decimal(4)                     not null,
   ISSYSFMENU                     decimal(4)                     not null,
   FORMACTION                     varchar(255),
   NEXTURL                        varchar(500),
   APPENDCND                      varchar(255),
   BCNDCOLS                       varchar(100),
   BORDERCOLS                     varchar(100),
   UPDCOLS                        varchar(2000),
   NOUPDCOLS                      varchar(255),
   DISPCOLS                       varchar(255),
   ARRAYFMT                       varchar(2000),
   TAGPROVIDER                    varchar(100),
   UPDHANDLER                     varchar(100),
   DATACLASSTYPE                  decimal(4),
   DATACLASS                      varchar(100),
   DATAMETHOD                     varchar(100),
   DATAPARAMS                     varchar(100),
   BUSICLASSTYPE                  decimal(4),
   BUSICLASS                      varchar(100),
   BUSIMETHOD                     varchar(50),
   REMARK                         varchar(255),
   primary key (SUBSYS, UPDATEID)
)type=innodb;

/*==============================================================*/
/* Table: ST_UPDSVRCHECK                                        */
/*==============================================================*/
create table if not exists ST_UPDSVRCHECK
(
   SUBSYS                         varchar(12)                    not null,
   UPDATEID                       varchar(20)                    not null,
   CHECKNO                        decimal(4)                     not null,
   CHECKEXP                       varchar(255)                   not null,
   ERRINFO                        varchar(255)                   not null,
   REMARK                         varchar(255),
   primary key (SUBSYS, UPDATEID, CHECKNO)
)type=innodb;

/*==============================================================*/
/* Table: ST_UPDTABPAGE                                         */
/*==============================================================*/
create table if not exists ST_UPDTABPAGE
(
   SUBSYS                         varchar(12)                    not null,
   UPDATEID                       varchar(20)                    not null,
   PAGENO                         decimal(4)                     not null,
   PAGETITLE                      varchar(40)                    not null,
   ARRAYFMT                       varchar(500),
   PAGEDT                         text,
   REMARK                         varchar(255),
   primary key (SUBSYS, UPDATEID, PAGENO)
)type=innodb;

/*==============================================================*/
/* Table: ST_UPLOADRES                                          */
/*==============================================================*/
create table if not exists ST_UPLOADRES
(
   SUBSYS                         varchar(12)                    not null,
   UPLOADID                       varchar(20)                    not null,
   UPLOADDESC                     varchar(100)                   not null,
   TBLNAME                        varchar(40)                    not null,
   COLNAME                        varchar(40)                    not null,
   COLTYPE                        decimal(4)                     not null,
   ALLOWFTYPE                     varchar(40),
   DENYFTYPE                      varchar(40),
   FILEMAXSIZE                    decimal(10),
   ISUPDACTRL                     decimal(4)                     not null,
   UPDPID                         decimal(6),
   ISREADACTRL                    decimal(4)                     not null,
   READPID                        decimal(6),
   APPENDCND                      varchar(255),
   REMARK                         varchar(255),
   primary key (SUBSYS, UPLOADID)
)type=innodb;

/*==============================================================*/
/* Table: ST_URLRES                                             */
/*==============================================================*/
create table if not exists ST_URLRES
(
   SUBSYS                         varchar(12)                    not null,
   URLTYPE                        decimal(4)                     not null,
   URL                            varchar(255)                   not null,
   REMARK                         varchar(100),
   primary key (SUBSYS, URLTYPE, URL)
)type=innodb;

/*==============================================================*/
/* Table: ST_USEREXPFUNC                                        */
/*==============================================================*/
create table if not exists ST_USEREXPFUNC
(
   SUBSYS                         varchar(12)                    not null,
   FUNCNAME                       varchar(30)                    not null,
   MAPMETHOD                      varchar(100)                   not null,
   FUNCTYPE                       decimal(4)                     not null,
   FUNCDESC                       varchar(255),
   primary key (SUBSYS, FUNCNAME)
)type=innodb;

/*==============================================================*/
/* Table: ST_USERROLE                                           */
/*==============================================================*/
create table if not exists ST_USERROLE
(
   SUBSYS                         varchar(12)                    not null,
   ROLEID                         decimal(6)                     not null,
   USERID                         varchar(20)                    not null,
   primary key (USERID, SUBSYS, ROLEID)
)type=innodb;

/*==============================================================*/
/* Table: ST_USERSUBSYS                                         */
/*==============================================================*/
create table if not exists ST_USERSUBSYS
(
   SUBSYS                         varchar(12)                    not null,
   USERID                         varchar(20)                    not null,
   OPTYPE                         decimal(4)                     not null,
   primary key (SUBSYS, USERID, OPTYPE)
)type=innodb;

/*==============================================================*/
/* Table: ST_WGUSER                                             */
/*==============================================================*/
create table if not exists ST_WGUSER
(
   WGID                           decimal(6)                     not null,
   USERID                         varchar(20)                    not null,
   primary key (WGID, USERID)
)type=innodb;

/*==============================================================*/
/* Table: ST_WORKGROUP                                          */
/*==============================================================*/
create table if not exists ST_WORKGROUP
(
   RGID                           varchar(30)                    not null,
   WGID                           decimal(6)                     not null,
   WGNAME                         varchar(40)                    not null,
   DISPNO                         decimal(4),
   REMARK                         varchar(255),
   primary key (WGID)
)type=innodb;

